regina::SigCensus Class Reference
Splitting Surfaces

A utility class used by formSigCensus(). More...

`#include <split/sigcensus.h>`

## Public Member Functions

| ~SigCensus ()
| Deallocates any memory used specifically by this structure. More...
void * | run (void *param)
| Runs a complete signature census generation. More...

## Friends

unsigned long | formSigCensus (unsigned order, UseSignature use, void *useArgs)
| Forms a census of all splitting surface signatures of the given order. More...

## Detailed Description

A utility class used by formSigCensus().

Other routines should never refer to this class directly. It is used to store temporary information when forming the census.

Python:\n Not present.

The documentation for this class was generated from the following file:

- split/sigcensus.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).